* Compile procedure
sou(noecho) CT.SRC
*
calender 1901 1 1
allocate 0 1992:1
*
open data CTdata.wk1
data(format=wks,org=obs) / y_e e u pyc w WWI WWII OILI OILII
*
set l_e / = u
set w_p / = w
set w_q / = w+pyc
*
set D45 / = t==1945:1
set D19 / = t==1919:1
set state1 / = t>1965:1 .and. t<1980:1
*
dec rect beta(3,5)
* Estimated cointegration vectors
input beta
  -1.0570     -0.05700    0.0000      1.0000    0.0000
  -1.0720      0.00000    0.0850      0.0000    1.0000
   0.3410      0.00000    0.0000      0.6590   -1.0000
/*
  The model with y-e = \theta_y
*/
@CT(lags=4,dum=uncent) tr(beta) 25
# y_e e l_e w_p w_q
# WWI D19 WWII D45 STATE1 OILI OILII

/*
 The model with y-e = (\beta-1)e_t + \theta_y
 and an alternative identification of the short run shocks
*/
dec vect Mypid(2) Mytid(3)
comp Mypid = ||4,2||
comp Mytid = ||2,3,4||
*
@CT(lags=4,dum=uncent,pid=Mypid,tid=Mytid) tr(beta) 25
# y_e e l_e w_p w_q
# WWI D19 WWII D45 STATE1 OILI OILII

/*
 The model with y-e = (\beta-1)e_t + \theta_y,
 an alternative identification of the short run shocks
 and restrictions om B_4.
*/
*
dec rect restrict(10,141)
comp restrict= %const(0.0)
do i=1,10
  comp restrict(i,i+75) = 1.0
end do i
*
@CT(lags=4,dum=uncent,pid=Mypid,tid=Mytid,rest=restrict) tr(beta) 25
# y_e e l_e w_p w_q
# WWI D19 WWII D45 STATE1 OILI OILII
*
* compile IR-procedure:
sou(noecho) ctair.src
dec vect[labels] mylabs(5)
comp mylabs = ||'y-e','e','l-e','w-p','w-q'||
* Run IR procedure
@CTAIR(save) mylabs
*
*compile VD procedure
sou(noecho) ctavd.src
* Run VD procedure
@CTAVD




